%global momorel 1
%define __libtoolize :
Name:		gok
Summary:	GNOME On-screen Keyboard (GOK)
Version: 0.10.0
Release: %{momorel}m
License: 	GPL
Group:		User Interface/Desktops
%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.10/%{name}-%{version}.tar.bz2 02ae66889522cb3b3731f9a60ac86d9e
URL: 		http://www.gnome.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: libgnomeui-devel >= 2.6.0
BuildPrereq: at-spi-devel >= 1.4.0
BuildPrereq: libbonobo-devel >= 2.6.0
BuildPrereq: atk-devel >= 1.6.0
BuildPrereq: gtk+-devel >= 2.4.0
BuildPrereq: gail-devel >= 1.6.1
BuildPrereq: libwnck-devel >= 2.6.0.1
BuildPrereq: esound-devel >= 0.2.34
BuildPrereq: GConf-devel >= 2.6.0
Prereq: GConf
Prereq: scrollkeeper

%description
Welcome to GOK.  Please note that this is an unstable release and that
GOK may crash or behave unexpectedly.  With this in mind we would like
to thank you very much for your interest in GOK and hope very much
that you find it useful.

%changelog
* Thu Apr 22 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.10.0-1m)
- version 0.10.0
- GNOME 2.6 Desktop
- adjustment BuildPreReq

* Sat Mar 20 2004 Toru Hoshina <t@momonga-linux.org>
- (0.8.4-2m)
- revised spec for enabling rpm 4.2.

* Thu Oct 16 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.8.4-1m)
- version 0.8.4

* Tue Oct 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.8.3-1m)
- version 0.8.3

* Tue Sep 19 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (0.8.1-1m)
- version 0.8.1

* Tue Aug 19 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.7.13-1m)
- version 0.7.13

* Fri Jul 04 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.7.11-1m)
- version 0.7.11

* Wed Jul 02 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.7.10-1m)
- version 0.7.10

* Tue Jul 01 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.7.9-1m)
- version 0.7.9

* Sat Jun 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.7.7-1m)
- version 0.7.7

* Mon Jun 09 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.7.5-1m)
- version 0.7.5

* Mon May 12 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.7.1-1m)
- version 0.7.1

%prep
%setup -q

%build
%configure
export SED="%__sed" EGREP="%__grep -E" LTCC='gcc' max_cmd_len=32768
%make

%install
rm -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
export SED="%__sed" EGREP="%__grep -E" LTCC='gcc' max_cmd_len=32768
%makeinstall
make gok.schemas
install gok.schemas %{buildroot}%{_sysconfdir}/gconf/schemas/gok.schemas

# remove
rm -rf %{buildroot}/var/scrollkeeper

%clean
rm -rf %{buildroot}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gok.schemas > /dev/null
scrollkeeper-update

%postun
scrollkeeper-update

%files
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/gok.schemas
%{_bindir}/gok
%{_datadir}/gok
%{_datadir}/omf/gok
%{_datadir}/gnome/help/gok
%{_datadir}/locale/*/*/*.mo
%{_datadir}/applications/gok.desktop
%{_datadir}/pixmaps/gok.png
%{_libdir}/bonobo/servers/*.server

#%files devel
#%defattr (-, root, root)
%{_libdir}/pkgconfig/gok-1.0.pc
